package rule.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName RuleType
 * @Description 规则类型实体类
 * @Author Chen
 * @Date 2024/8/22 15:31
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(value = "rule_type")
@Tag(name = "规则类型")
public class RuleType {
    /**
     * 类型主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;
    /**
     * 规则类型名称
     */

    private String ruleTypeName;
}
