package rule.data.engine;

import org.springframework.stereotype.Component;
import rule.domain.Rule;
import rule.domain.RuleEdition;

import java.text.SimpleDateFormat;
import java.util.Date;


@Component
public class GenerateConstant {

    //    public static String generateConstant(Rule rule, RuleEdition ruleEdition) {
//        return "public class " + ruleEdition.getRuleCoding() + " {\n" +
//                "    @Override\n" +
//                "    public void run () {\n" +
//                "    }\n" +
//                "}";
//    }
    public static String generateConstant(RuleEdition ruleEdition) {
        String format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date());
        return "package rule.data.engine;\n" +
                "\n" +
                "/**\n" +
                " * @Author: " + "Chen" + "\n" +
                " * @date: " + format + "\n" +
                " * @Description: " + "\n" +
                " * @Version: 1.0\n" +
                " */\n" +
                "public class " + ruleEdition.getRuleCoding() + "{ \n" +
//                "    @Override\n" +
                "    public void run () {\n" +
                "    }\n" +
                "}";
    }

}
